Skip to content

Pay by Stripe Connect

POST/bookings/{id}/pay-by-stripe-connect

Auth: X-API-Key headerhttps://warpdrive.staging.transferz.com/partners

Pays for a booking using a Stripe Connect payment intent

Pays for the booking with a payment you collected in your own Stripe account. Transferz links its Stripe account to yours (Stripe Connect); pass the id of the payment intent you created for this booking. Contact Transferz to enable this payment method. Returns the booking.

Guide: Pay for a booking

Path parameters

  • idinteger · int64required

    The id of the booking for which to pay through Stripe Connect

Headers

  • X-Request-IDstring

    The optional (ideally unique) request identifier used for later analysis or diagnostics

Request body

application/json · required

  • paymentIntentstring · min length 1required

    The id of the Stripe payment intent you created for this booking.

Responses

OK

  • idinteger · int64

    Booking id. Store it; there is no search for bookings.

  • codestring

    Booking reference shown to the traveller.

  • partnerReferencestring
  • partnerIdinteger · int64
  • travelIntentenum
    BUSINESS
    Business travel.
    LEISURE
    Leisure travel.
    UNKNOWN
    Not known.
  • bookerInfoobject
  • journeysarray of objects

    The journeys in this booking, one per booked quote.

Errors this endpoint can return

  • When: The payment intent could not be captured.

    What to do: Check the payment intent in your Stripe dashboard (amount, currency, status) and try again with a valid intent.

  • 400, failedBLANK_VALUE

    When: paymentIntent is empty.

    What to do: Fill in the field named in field.